LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
ChartDataCaption.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::chart
| Charting diagram interfaces.

## Constant Groups
constants | com::sun::star::chart::ChartDataCaption
| These values specify how the captions of data points are displayed.

## Variables
const long | NONE = 0
| No captions are displayed. More...
const long | VALUE = 1
| The caption contains the value of the data point in the number format of the axis that is attached to the respective data series. More...
const long | PERCENT = 2
| The caption contains the value of the data point in percent of all data points of one category. More...
const long | TEXT = 4
| The caption contains the category name of the category to which a data point belongs. More...
const long | FORMAT = 8
| The number formatter is always used for displaying the value as value. More...
const long | SYMBOL = 16
| The symbol of data column/row is additionally displayed in the caption. More...